# $Id: perl-HTML-Clean.spec 3651 2005-10-12 04:40:21Z dries $

# Authority: dries
# Upstream: Paul Lindner <plindner$inuus,com>


%define real_name HTML-Clean
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)
%define perl_archlib %(eval "`perl -V:archlib`"; echo $archlib)
%define perl_privlib %(eval "`perl -V:privlib`"; echo $privlib)

Summary: Cleans HTML
Name: perl-HTML-Clean
Version: 0.8
Release: 3%{?dist}
License: Artistic
Group: Applications/CPAN
URL: http://search.cpan.org/dist/HTML-Clean/

# Packager: Dries Verachtert <dries@ulyssis.org>
# Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/HTML/HTML-Clean-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl, perl(ExtUtils::MakeMaker)

%description
The HTML::Clean module encapsulates a number of HTML optimizations
and cleanups.  The end result is HTML that loads faster, displays
properly in more browsers.  Think of it as a compiler that
translates HTML input into optimized machine readable code.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -f %{buildroot}%{perl_archlib}/perllocal.pod
%{__rm} -f %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%{_bindir}/htmlclean
%{_mandir}/man?/*
%{perl_vendorlib}/auto/HTML/Clean/autosplit.ix
%{perl_vendorlib}/HTML/Clean.pm

%changelog
* Wed Jun 16 2004 Dries Verachtert <dries@ulyssis.org> - 0.8-1 - 3651/dries
- Initial package.
